int LED_PIN = 13;

void setup()  
{
  // Serial Setting
  Serial.begin(115200);

  // LED Setting
  pinMode(LED_PIN, OUTPUT);

  // Signal for Setup Finished
  blinkLED(3);
}

void loop()
{
  
  if ( Serial.available() > 0 ) { // Received Any data by Bluetooth
    int count = Serial.parseInt(); // check wheather the data is integer or not 
     if (count > 0) { 
        blinkLED(count); // blink LED
    }
  }    
}

// for LED controll
void blinkLED (int count) 
{
  for (int i = 0; i < count; i++) {
     digitalWrite(LED_PIN, HIGH);
     delay(1000);
     digitalWrite(LED_PIN, LOW);
     delay(1000);
  }
}
